POST Authenticate

Before using the Plum API it is necessary to authenticate. This is done by the sending of your ClientId and Client Secret in the response you will receive back a Token.
The token looks something like this (shortened - a real one will be much longer):
Bearer eyJhbGciOsdfg4433gbdf
This must be sent in the Authorization header of any subsequent request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Authentication request with client secret and client id

string | null

The clientId is generated by Plum Guide, it represents a unique arbitrary string for a particular host on the platform. The clientId is used alongside the clientSecret to generate a authentication token. The clientId should be treated like a user's username.

string | null

The clientSecret is an arbitrary string assigned against the clientId. The clientSecret is used alongside the clientId to generate a authentication token. The clientSecret should be treated like a user's password.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json